Apache C++ Standard Library Reference Guide

## greater_equal

Library: General utilities

    Does not inherit

- Local Index
- Summary
- Synopsis
- Description
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

A binary function object that returns `true` if its first argument is greater than or equal to its second

### Synopsis

    #include <functional>

    namespace std {
      template <class T>
      struct greater_equal;
    }

### Description

greater_equal is a binary function object. Its `operator()` returns `true` if `x` is greater than or equal to `y`. You can pass a greater_equal object to any algorithm that requires a binary function. For example, the `sort()` algorithm can accept a binary function as an alternate comparison object to sort a sequence. greater_equal would be used in that algorithm in the following manner:

    vector<int> vec1;
    .
    .
    sort(vec1.begin(), vec1.end(),greater_equal<int>());

After this call to `sort()`, `vec1` is sorted in descending order.

### See Also

Function Objects

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.3.3